import { Context, Schema, Service } from "koishi";
import * as echarts from "echarts";
export { echarts };
export declare const name = "echarts";
export declare const using: string[];
declare module "koishi" {
    interface Context {
        echarts: ECharts;
    }
}
export declare class ECharts extends Service {
    config: ECharts.Config;
    createChart(width: number, height: number, options: echarts.EChartsOption, theme?: string): Promise<{
        canvas: import("koishi-plugin-skia-canvas").NativeCanvas;
        chart: echarts.ECharts;
        dispose: () => void;
    }>;
    constructor(ctx: Context, config: ECharts.Config);
}
export default ECharts;
export declare namespace ECharts {
    interface Config {
        width: number;
        height: number;
        themesDir: string;
        defaultTheme: string;
    }
    const Config: Schema<Config>;
}
